Skip to content
POST /unified/accounting/repeating_transactions

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

contact
1 supported1 required
Xero
required
currencystring

The currency of the repeating transaction

1 supported1 required
Xero
required
day_of_monthnumber

The day of the month of the repeating transaction

2 supported1 required
Xero
required
QuickBooks
supported
days_beforenumber

The days before of the repeating transaction

1 supported
QuickBooks
supported
due_date_typestring

Type of due date for repeating transactions

Possible values:
days_after_bill_datedays_after_bill_monthof_current_monthof_following_month
1 supported1 required
Xero
required
days_after_bill_datedays_after_bill_monthof_current_monthof_following_month
end_datestring · date-time

The end date for the repeating transaction

2 supported
QuickBooks
supported
Xero
supported
entityobject

The entity of the repeating transaction. The schema will be based on the type of entity, but id and type will always be present.

2 supported
QuickBooks
supported
Xero
supported
idstring
required·

The unique identifier for the entity

typestring
required·

The type of the entity

Possible values:
invoicepurchase_ordervendor_creditcredit_notejournal_entry
interval_numnumber

The interval number of the repeating transaction. E.g., 1 (every 1 week), 2 (every 2 months), etc.

2 supported1 required
Xero
required
QuickBooks
supported
interval_typestring

The interval type of the repeating transaction

Possible values:
dailyweeklymonthlyyearlymonthlyweekly
2 supported1 required
Xero
required
monthlyweekly
QuickBooks
supported
line_amount_typestring

The type of line amount for repeating transaction

Possible values:
exclusiveinclusiveno_tax
1 supported1 required
Xero
required
exclusiveinclusiveno_tax
line_itemsobject[]

The line items of the repeating transaction

1 supported1 required
Xero
required
accountstring

The ID of the account

idstring

The unique identifier for the line item

notestring

The note of the line item

quantitynumber

The quantity for the line item

max_occurrencesnumber

The maximum number of occurrences for the repeating transaction

1 supported
QuickBooks
supported
namestring

The name of the repeating transaction

1 supported
QuickBooks
supported
recurring_typestring

The recurring type of the repeating transaction

Possible values:
unscheduledautomatedreminded
1 supported
QuickBooks
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

start_datestring · date-time

The start date for the repeating transaction

2 supported1 required
Xero
required
QuickBooks
supported
statusboolean

The status of the repeating transaction

Possible values:
activearchived
2 supported1 required
Xero
required
QuickBooks
supported

Response Body

idstring
required·

The unique identifier for repeating transaction

2 supported
QuickBooks
supported
Xero
supported
created_atstring · date-time

Rhe date when the repeating transaction was created

1 supported
QuickBooks
supported
day_of_monthnumber

The day of the month of the repeating transaction

2 supported
QuickBooks
supported
Xero
supported
day_of_weeknumber

The day of the week of the repeating transaction

1 supported
QuickBooks
supported
days_beforenumber

The days before of the repeating transaction

1 supported
QuickBooks
supported
end_datestring · date-time

The end date for the repeating transaction

2 supported
QuickBooks
supported
Xero
supported
entityobject

The entity of the repeating transaction. The schema will be based on the type of entity, but id and type will always be present.

2 supported
QuickBooks
supported
Xero
supported
idstring
required·

The unique identifier for the entity

typestring
required·

The type of the entity

Possible values:
invoicepurchase_ordervendor_creditcredit_notejournal_entry
interval_numnumber

The interval number of the repeating transaction. E.g., 1 (every 1 week), 2 (every 2 months), etc.

2 supported
QuickBooks
supported
Xero
supported
interval_typestring

The interval type of the repeating transaction

Possible values:
dailyweeklymonthlyyearly
2 supported
QuickBooks
supported
Xero
supported
max_occurrencesnumber

The maximum number of occurrences for the repeating transaction

1 supported
QuickBooks
supported
month_of_yearnumber

The month of the year of the repeating transaction

1 supported
QuickBooks
supported
namestring

The name of the repeating transaction

1 supported
QuickBooks
supported
next_datestring · date-time

The next date of the repeating transaction

2 supported
QuickBooks
supported
Xero
supported
prev_datestring · date-time

The previous date of the repeating transaction

1 supported
QuickBooks
supported
recurring_typestring

The recurring type of the repeating transaction

Possible values:
unscheduledautomatedreminded
1 supported
QuickBooks
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

start_datestring · date-time

The start date for the repeating transaction

2 supported
QuickBooks
supported
Xero
supported
statusboolean

The status of the repeating transaction

Possible values:
activearchived
2 supported
QuickBooks
supported
Xero
supported
updated_atstring · date-time

The date when the repeating transaction was updated

1 supported
QuickBooks
supported
week_of_monthnumber

The week of the month of the repeating transaction

1 supported
QuickBooks
supported
curl -X POST 'https://api.truto.one/unified/accounting/repeating_transactions?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "entity": {},
  "status": "active",
  "recurring_type": "unscheduled",
  "interval_type": "daily",
  "interval_num": 0,
  "start_date": "your_start_date",
  "end_date": "your_end_date",
  "max_occurrences": 0,
  "days_before": 0,
  "day_of_month": 0,
  "due_date_type": "days_after_bill_date",
  "line_items": [],
  "line_amount_type": "exclusive",
  "currency": "your_currency",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "entity": {},
  "status": "active",
  "recurring_type": "unscheduled",
  "interval_type": "daily",
  "interval_num": 0,
  "start_date": "your_start_date",
  "end_date": "your_end_date",
  "max_occurrences": 0,
  "days_before": 0,
  "day_of_month": 0,
  "due_date_type": "days_after_bill_date",
  "line_items": [],
  "line_amount_type": "exclusive",
  "currency": "your_currency",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/accounting/repeating_transactions?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/repeating_transactions"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "entity": {},
    "status": "active",
    "recurring_type": "unscheduled",
    "interval_type": "daily",
    "interval_num": 0,
    "start_date": "your_start_date",
    "end_date": "your_end_date",
    "max_occurrences": 0,
    "days_before": 0,
    "day_of_month": 0,
    "due_date_type": "days_after_bill_date",
    "line_items": [],
    "line_amount_type": "exclusive",
    "currency": "your_currency",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'accounting',
  'repeatingtransactions',
  {
  "name": "your_name",
  "entity": {},
  "status": "active",
  "recurring_type": "unscheduled",
  "interval_type": "daily",
  "interval_num": 0,
  "start_date": "your_start_date",
  "end_date": "your_end_date",
  "max_occurrences": 0,
  "days_before": 0,
  "day_of_month": 0,
  "due_date_type": "days_after_bill_date",
  "line_items": [],
  "line_amount_type": "exclusive",
  "currency": "your_currency",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "accounting",
        "repeatingtransactions",
        {
        "name": "your_name",
        "entity": {},
        "status": "active",
        "recurring_type": "unscheduled",
        "interval_type": "daily",
        "interval_num": 0,
        "start_date": "your_start_date",
        "end_date": "your_end_date",
        "max_occurrences": 0,
        "days_before": 0,
        "day_of_month": 0,
        "due_date_type": "days_after_bill_date",
        "line_items": [],
        "line_amount_type": "exclusive",
        "currency": "your_currency",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())